<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.IncomesMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.Incomes">
        <id column="income_id" property="incomeId" />
        <result column="create_time" property="createTime" />
        <result column="account_id" property="accountId" />
        <result column="source_id" property="sourceId" />
        <result column="payer" property="payer" />
        <result column="amount" property="amount" />
        <result column="transaction_date" property="transactionDate" />
        <result column="description" property="description" />
        <result column="order_no" property="orderNo" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, income_id, account_id, source_id, payer, amount, transaction_date, description, order_no, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
